#ifndef ASPLITCV_HPP
#define ASPLITCV_HPP
/******************************************************************************/
/* Canvas Classes Example 1 - Split Canvas                                    */
/*                                                                            */
/* COPYRIGHT: Copyright (C) International Business Machines Corp., 1992,1993. */
/*                                                                            */
/* DISCLAIMER OF WARRANTIES:                                                  */
/*   The following [enclosed] code is sample code created by IBM              */
/*   Corporation.  This sample code is not part of any standard IBM product   */
/*   and is provided to you solely for the purpose of assisting you in the    */
/*   development of your applications.  The code is provided "AS IS",         */
/*   without warranty of any kind.  IBM shall not be liable for any damages   */
/*   arising out of your use of the sample code, even if they have been       */
/*   advised of the possibility of such damages.                              */
/******************************************************************************/
/* NOTE: WE RECOMMEND USING A FIXED SPACE FONT TO LOOK AT THE SOURCE          */
/******************************************************************************/

#include <iframe.hpp>                   // IFrameWindow
#include <istattxt.hpp>                 // IStaticText
#include <isplitcv.hpp>                 // ISplitCanvas

/******************************************************************************/
/* Class   : ASplitCanvas                                                     */
/*                                                                            */
/* Purpose : main window for split canvas sample                              */
/*           the window contains two split canvases and three static          */
/*           text areas. The horizontal split canvas is the client area.      */
/*           The vertical split canvas is placed into the top pane of         */
/*           the horizontal split canvas.                                     */
/*           ASplitCanvas is derived from IFrameWindow                        */
/******************************************************************************/
class ASplitCanvas : public IFrameWindow
{
  public:
    ASplitCanvas(unsigned long windowId);        // constructor

  private:
    ISplitCanvas  horzCanvas,                    // note: the order declaration
                  vertCanvas;                    // is the order that windows
    IStaticText   lText,                         // are created in
                  rText,
                  bText;
};
#endif
